Gets the configuration of the existing SSO integration - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET /v0/settings/sso
Gets the configuration of the existing SSO integration
cURL
curl --request GET \
--url https://demo-api.gable.ai/v0/settings/sso \
--header 'X-API-KEY: <api-key>'
Python
import requests
url = "https://demo-api.gable.ai/v0/settings/sso"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://demo-api.gable.ai/v0/settings/sso', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo-api.gable.ai/v0/settings/sso",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/settings/sso"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/settings/sso")
.header("X-API-KEY", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://demo-api.gable.ai/v0/settings/sso")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response
Status Codes
- 200
- 404
- 500
Example Response
{
"type": "SAML",
"identityProvider": "<string>",
"metadataDocumentEndpointUrl": "https://company.okta.com/app/123456789/sso/saml/metadata"
}
Authorizations
X-API-KEY
Type: string
Location: header
Required
More Details
- type (required): The type of SSO integration, currently only SAML is supported. Available options:
SAML
- identityProvider (required): The name of your identity provider. This value will be displayed to users when they log in. Note: This value cannot be the strings "Google" or "SAML" as they're reserved words in our identity management platform. Pattern:
^(?=[a-zA-Z0-9\(\)\.\-!@]+$)(?!Google|SAML$).*$- Examples: "Okta", "GoogleWorkspace", "OneLogin", "JumpCloud"
- metadataDocumentEndpointUrl (required): The URL of the SAML metadata document. Either this or metadataFileContents must be provided. Example: "https://company.okta.com/app/123456789/sso/saml/metadata"